FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107292319.p0.git.c07975c.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107292319.p0.git.c07975c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c07975c OS_GIT_VERSION=4.7.0-202107292319.p0.git.c07975c.assembly.stream-c07975c SOURCE_DATE_EPOCH=1627517919 SOURCE_GIT_COMMIT=c07975c452303469c378bc5b0f70d8763eaca1f3 SOURCE_GIT_TAG=v1.0.0-473-gc07975c4 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.7.0.20210729.233329
ENV __doozer=update BUILD_RELEASE=202107292319.p0.git.c07975c.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202107292319.p0.git.c07975c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c07975c OS_GIT_VERSION=4.7.0-202107292319.p0.git.c07975c.assembly.stream-c07975c SOURCE_DATE_EPOCH=1627517919 SOURCE_GIT_COMMIT=c07975c452303469c378bc5b0f70d8763eaca1f3 SOURCE_GIT_TAG=v1.0.0-473-gc07975c4 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cluster Version Operator" \
        release="202107292319.p0.git.c07975c.assembly.stream" \
        io.openshift.build.commit.id="c07975c452303469c378bc5b0f70d8763eaca1f3" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/c07975c452303469c378bc5b0f70d8763eaca1f3" \
        version="v4.7.0"

